<launch>
  <param name="chomp_planner/optimization_objective" value="TaskLength" />

  <!-- load OMPL planning pipeline, but add the CHOMP planning adapter. -->
  <include file="$(find pr2_moveit_config)/launch/ompl_planning_pipeline.launch.xml">
    <arg name="planning_adapters" value="
      chomp/OptimizerAdapter
"
       />
Standard planning adapters:

default_planner_request_adapters/FixWorkspaceBounds
default_planner_request_adapters/FixStartStateBounds
default_planner_request_adapters/FixStartStateCollision
default_planner_request_adapters/FixStartStatePathConstraints
chomp/OptimizerAdapter
default_planner_request_adapters/AddTimeParameterization

Given that I've already given up on using the resulting time parametrization for anything useful, I'd like to see if, given that CHOMP is already checking for path validity, whether dropping the next step in the pipeline means that the path won't magically fail
       
  </include>
  <!-- load chomp config -->
  <rosparam command="load" file="$(find pr2_moveit_config)/config/chomp_planning_task_length.yaml"/>
  <!-- override trajectory_initialization_method -->
  <param name="trajectory_initialization_method" value="fillTrajectory"/>
</launch>
